<template>
	<view style="padding: 0 32upx;">
		 <van-field
		    :value="name"
		    placeholder="请输入您的姓名"
		    label="姓名"
		  />
		<van-field
		   :value="name"
		   placeholder="请输入您的手机号码"
		   label="手机号码"
		 />
		 <van-field
		    :value="name"
		    placeholder="请输入您的身份证号码"
		    label="身份证号码"
		  />
		  <van-field
		     :value="name"
		     placeholder="请输入您的联系地址"
		     label="联系地址"
		   />
		   
		<view>
				<uploadImage />
				 <view>须上传营业执照和手持身份证照</view>
		</view>
		<view class="submitRemin">申请代理</view>
		   
	</view>
</template>

<script>
	import uploadImage from '@/component/uploadImage.vue'
	export default {
		components: {
			uploadImage
		},
		data(){
			return{
				name:'',
				imageList:[]
			}
		},
		methods: {
			chooseImage() {
				if (this.imageList.length === 3) {
					// let isContinue = await this.isFullImg();
					// console.log("是否继续?", isContinue);
					// if (!isContinue) {
					// 	return;
					// }
					return;
				}
				uni.chooseImage({
					sourceType: this.sourceType,
					sizeType: this.sizeType,
					count: this.imageList.length + this.count[this.countIndex] > 3 ? 3 - this.imageList.length : this.count[this.countIndex],
					success: (res) => {
						this.imageList = this.imageList.concat(res.tempFilePaths);
						
						        uni.uploadFile({
						            url: 'https://www.example.com/upload', //仅为示例，非真实的接口地址
						            filePath: tempFilePaths[0],
						            name: 'file',
						            formData: {
						                'user': 'test'
						            },
						            success: (uploadFileRes) => {
						                console.log(uploadFileRes.data);
						            }
						        });
					}
				})
			},
		}
	}
</script>

<style>
	.deepHeight {
		height: 108upx;
		width: 108upx;
	}
</style>
